Bug 118015 - Copy-pasting images from Google Docs does not work
Summary: Copy-pasting images from Google Docs does not work
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2018-06-05 17:22 UTC by Daniel Grigoras
Modified: 2019-12-04 04:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Grigoras 2018-06-05 17:22:04 UTC
Description:
Copy-pasting images from Google Docs does not work

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
-


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.170 Safari/537.36 OPR/53.0.2907.68
Comment 1 Drew Jensen 2018-06-05 19:01:41 UTC
Changing component type to Draw and setting new

IN WRITER LibO works for me, as I expect it to, using 6.0.4 rel (tdf build) and the same way in 6.1 beta


Copy / paste using CTRL/INSERT key combination paste works, inserts image.

popup menu Paste->Paste Special->More Options then choose HTML does insert the image.

popup menu Paste, default, is text only so the image doesn't come.

IN DRAW and IMPRESS it does not.

Copy / paste using CTRL/INSERT key combination inserts text.

popup menu Paste inserts text.

There is no popup menu Paste->Paste Special 
That I would say is the bug.
Comment 2 Xisco Faulí 2018-06-12 10:06:59 UTC
Also reproducible in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 3 Daniel Grigoras 2018-06-13 16:50:23 UTC
(In reply to Drew Jensen from comment #1)
> Changing component type to Draw and setting new
> 
> IN WRITER LibO works for me, as I expect it to, using 6.0.4 rel (tdf build)
> and the same way in 6.1 beta

Really? Well it has not worked for me.
I've created a sample Google Doc to aid in replicating this issue: https://docs.google.com/document/d/1mI3fcAcvZS_0ObfGyxQtv6zEdIdcxl_02jOAR2kC7cs/edit?usp=sharing
Copy-pasting does however work fine in Microsoft Word.
Comment 4 QA Administrators 2019-12-04 04:21:55 UTC
Dear Daniel Grigoras,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug